# Class: c3.Plot.Layer.Line

Defined in: | js/c3-layers.coffee
Inherits: | c3.Plot.Layer.Path

## Overview

Line graph layer for the XY Plot Chart. Please refer to c3.Plot.Layer.Path for documentation.

### Author:

- Douglas Armstrong

### See also:

- c3.Plot.Layer.Path

## Variables Summary

type =

      'line'

path_generator_factory =

      d3

### Variable inherited from c3.Plot.Layer.Path

version type path_generator_factory interpolate tension defined r a path_options circle_options label_options stack_options stacks safe _next_uid data name class static_data h v x y options handlers restyle

## Inherited Method Summary

### Methods inherited from c3.Plot.Layer.Path

#_init #_update #_draw #_style #min_x #max_x #_stack #min_y #max_y #init #size #update #draw #style #zoom #redraw #scale

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input